import { FC } from 'react';
import classNames from 'classnames';
import { Toast, ToastProps } from '@servicetitan/design-system';
import * as Styles from '../feature-spotlight.module.css';

export interface FeatureToastProps extends ToastProps {
    center?: boolean;
}

export const FeatureToast: FC<FeatureToastProps> = ({ center, ...rest }) => {
    return (
        <Toast
            className={classNames(Styles.featureToast, center && Styles.featureToastCenter)}
            {...rest}
        />
    );
};
